Technical FAQs

Ask a Question

PME - SSL Security Error When Upgrading Databases From ION E 6.0.1 to PME 8.1

Issue:
When upgrading the database from IONE 6.0.1 to PME8.1 the following error is displayed:
Could not upgrade MSDE Database: [DBNETLIB][ConnectionOpen(SECDoClientHandshake0).]SSL Security error.


 

Product Line:
Power Monitoring Expert 8.1
ION Enterprise 6.0.1

Environment:
Microsoft Windows Server 2008/2012
Power Monitoring Expert

Cause:
The upgrade fails with the SSL security error because TLS 1.0 and TLS1.1 have been disabled in the Operating System. Both TLS 1.0 and 1.1 are required for the upgrade. 

Resolution:
*Warning: This article contains information about editing the registry. Improper changes to the registry can permanently damage the operating system. Always backup the registry before making any changes.* 
For more information about how to back up and restore the registry, click the following article number to view the article in the Microsoft Knowledge Base: 322756 How to back up and restore the registry in Windows

1) Open the Registry and navigate to:
 "HKLM\System\CurrentControlSet\Control\SecurityProviders\SChannel\Protocols" 
2) Under the TLS 1.0 and 1.1 folders, there should be folders called Server and Client. Within these folders, ensure there is not a DWORD called "DisabledByDefault" that is set to 1 or an "Enabled" set to 0. 
3) If so, set the "DisabledbyDefault" to 0 or the "Enabled" to 1


The other option is to run attached Enable TLS1.0-1.1.bat file which will set the registry settings to enable the TLS 1.0 and 1.1 

Once TLS 1.0 and 1.1 have been enabled, re-run the the Database upgrade. 
 
Was this helpful?
What can we do to improve the information ?